Bug 92591 - Update port: math/gri to 2.12.10
Summary: Update port: math/gri to 2.12.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-31 08:50 UTC by Christopher Illies
Modified: 2006-02-13 22:14 UTC (History)
0 users

See Also:


Attachments
file.shar (18.74 KB, text/plain)
2006-01-31 08:50 UTC, Christopher Illies
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Illies 2006-01-31 08:50:02 UTC
	Update math/gri to latest release.
	Authors of update: Christopher Illies, Roman Neuhauser and Dan Kelly
	
	Port seems to be unmaintained, so I offer to take maintainership.
Comment 1 Christopher Illies 2006-01-31 11:14:10 UTC
math/netcdf was just moved to science/netcdf, so please apply this
patch to math/gri/Makefile:


--- /usr/ports/math/gri/Makefile.orig	Tue Jan 31 12:05:54 2006
+++ /usr/ports/math/gri/Makefile	Tue Jan 31 12:06:17 2006
@@ -14,7 +14,7 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	An extensible plotting language for producing scientific graphs
 
-LIB_DEPENDS=	netcdf.1:${PORTSDIR}/math/netcdf
+LIB_DEPENDS=	netcdf.1:${PORTSDIR}/science/netcdf
 .if !defined(NOPORTDOCS)
 BUILD_DEPENDS=	convert:${PORTSDIR}/graphics/ImageMagick
 BUILD_DEPENDS=	tex:${PORTSDIR}/print/teTeX-base


On Tue, Jan 31, 2006 at 08:50:02AM +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/92591'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=92591
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       Update port: math/gri to 2.12.10
> >Arrival-Date:   Tue Jan 31 08:50:02 GMT 2006
Comment 2 Renato Botelho freebsd_committer 2006-01-31 17:39:20 UTC
Could you please send a `diff -u` format patch? Shar files is good
to new ports, to update this format is better.

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 3 Renato Botelho freebsd_committer 2006-01-31 17:40:44 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 Christopher Illies 2006-02-01 13:06:35 UTC
Here is the update as a diff -u.
Please remove math/gri/files as no more patches are needed.

I hope this is OK now.

Thanks for your time,

Christopher


diff -ur gri.orig/Makefile gri/Makefile
--- gri.orig/Makefile	Wed Feb  1 11:26:28 2006
+++ gri/Makefile	Tue Jan 31 11:40:54 2006
@@ -6,44 +6,41 @@
 #
 
 PORTNAME=	gri
-PORTVERSION=	2.12.1
+PORTVERSION=	2.12.10
 CATEGORIES=	math
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
-DISTNAME=	gri-${PORTVERSION}-arch-indep
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	An extensible plotting language for producing scientific graphs
 
-LIB_DEPENDS=	netcdf.1:${PORTSDIR}/math/netcdf
-BUILD_DEPENDS=	gawk:${PORTSDIR}/lang/gawk
+LIB_DEPENDS=	netcdf.1:${PORTSDIR}/science/netcdf
+.if !defined(NOPORTDOCS)
+BUILD_DEPENDS=	convert:${PORTSDIR}/graphics/ImageMagick
+BUILD_DEPENDS=	tex:${PORTSDIR}/print/teTeX-base
+BUILD_DEPENDS=	dvips:${PORTSDIR}/print/dvips
+.endif
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-USE_PERL5_BUILD=	yes
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--enable-FreeBSD
+USE_GMAKE=	yes
 USE_REINPLACE=	yes
-GNU_CONFIGURE=	YES
-PLIST_SUB+=	PORTVERSION=${PORTVERSION}
+REINPLACE_ARGS=	-Ei.bak
 
-.if defined(NOPORTDOCS)
-ALL_TARGET=	gri
-INSTALL_TARGET=	install-bin
-.endif
+MAN1=		gri.1 gri_merge.1 gri_unpage.1
+INFO=		gri
 
-MAN1=	gri.1 gri_merge.1 gri_unpage.1
-
-post-extract:
-	@${RM} -f ${WRKSRC}/doc/*.info* ${WRKSRC}/doc/info
-	@${MV} -f ${WRKSRC}/doc/gri-manpage.1 ${WRKSRC}/doc/gri.1
+MAKE_ENV+=	MAKEINFOFLAGS=--no-split
 
+.if defined(NOPORTDOCS)
 post-patch:
-	@${REINPLACE_CMD} -e "s/makeinfo/makeinfo --no-split/" ${WRKSRC}/doc/Makefile
+	${REINPLACE_CMD} -e '/^(DIST_)?SUBDIRS/s/doc//' ${WRKSRC}/Makefile.in
 
 post-install:
-.for file in ${MAN1}
-	${INSTALL_MAN} ${WRKSRC}/doc/${file} ${MANPREFIX}/man/man1
-.endfor
-.if !defined(NOPORTDOCS)
-	@${INSTALL_DATA} ${WRKSRC}/doc/gri.info ${PREFIX}/info
+	${INSTALL_MAN} ${WRKSRC}/doc/gri-manpage.1 ${MANPREFIX}/man/man1/gri.1
+	${INSTALL_MAN} ${WRKSRC}/doc/gri_merge.1-skel ${MANPREFIX}/man/man1/gri_merge.1
+	${INSTALL_MAN} ${WRKSRC}/doc/gri_unpage.1-skel ${MANPREFIX}/man/man1/gri_unpage.1
+	@${INSTALL_DATA} ${WRKSRC}/doc/gri.info* ${PREFIX}/info
 	install-info ${PREFIX}/info/gri.info ${PREFIX}/info/dir
 .endif
 
diff -ur gri.orig/distinfo gri/distinfo
--- gri.orig/distinfo	Wed Feb  1 11:26:28 2006
+++ gri/distinfo	Mon Jan 30 15:21:56 2006
@@ -1,2 +1,3 @@
-MD5 (gri-2.12.1-arch-indep.tar.gz) = b66167ac59a5841dec52453c1f5b8c84
-SIZE (gri-2.12.1-arch-indep.tar.gz) = 2461656
+MD5 (gri-2.12.10.tar.gz) = e76c24aa55958cafbcf333388c6f0dd7
+SHA256 (gri-2.12.10.tar.gz) = c7b92156f1a2dab54b755c60cbb029054a06fd25c3abcd61d6fe86c09399c886
+SIZE (gri-2.12.10.tar.gz) = 1659103
Only in gri.orig: files
diff -ur gri.orig/pkg-plist gri/pkg-plist
--- gri.orig/pkg-plist	Wed Feb  1 11:26:28 2006
+++ gri/pkg-plist	Mon Jan 30 16:40:29 2006
@@ -1,15 +1,7 @@
 bin/gri
 bin/gri_merge
 bin/gri_unpage
-bin/gri-%%PORTVERSION%%
-%%DATADIR%%/%%PORTVERSION%%/startup.msg
-%%DATADIR%%/%%PORTVERSION%%/gri.cmd
-%%DATADIR%%/%%PORTVERSION%%/logo.dat
-@dirrm %%DATADIR%%/%%PORTVERSION%%
-@dirrm %%DATADIR%%
-%%PORTDOCS%%@unexec install-info --delete %D/info/gri.info %D/info/dir
-%%PORTDOCS%%info/gri.info
-%%PORTDOCS%%@exec install-info %D/info/gri.info %D/info/dir
+%%PORTDOCS%%%%DOCSDIR%%/cmdrefcard.ps
 %%PORTDOCS%%%%DOCSDIR%%/html/AboutGriMode.html
 %%PORTDOCS%%%%DOCSDIR%%/html/Acknowledgments.html
 %%PORTDOCS%%%%DOCSDIR%%/html/AdjustingCharacterPosition.html
@@ -62,6 +54,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/Extras.html
 %%PORTDOCS%%%%DOCSDIR%%/html/FAQ.html
 %%PORTDOCS%%%%DOCSDIR%%/html/FEM-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/FEM.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/FEM.html
 %%PORTDOCS%%%%DOCSDIR%%/html/FEM.png
 %%PORTDOCS%%%%DOCSDIR%%/html/FancyPlot.html
@@ -191,56 +184,69 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/Write.html
 %%PORTDOCS%%%%DOCSDIR%%/html/X-Y.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example1-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example1.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example1.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example1.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example10-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example10.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example10.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example10.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example10color-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example10color.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example10color.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example10color.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example11-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example11.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example11.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example11.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example12-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example12.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example12.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example12.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example13-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example13.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example13.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example13.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example2-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example2.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example2.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example2.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example3-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example3.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example3.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example3.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example4-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example4.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example4.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example4.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example5-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example5.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example5.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example5.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example6-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example6.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example6.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example6.png
-%%PORTDOCS%%%%DOCSDIR%%/html/example6color-tiny.png
-%%PORTDOCS%%%%DOCSDIR%%/html/example6color.html
-%%PORTDOCS%%%%DOCSDIR%%/html/example6color.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example6histogram-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example6histogram.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example6histogram.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example6histogram.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example7-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example7.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example7.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example7.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example8-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example8.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example8.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example8.png
 %%PORTDOCS%%%%DOCSDIR%%/html/example9-tiny.png
+%%PORTDOCS%%%%DOCSDIR%%/html/example9.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/example9.html
 %%PORTDOCS%%%%DOCSDIR%%/html/example9.png
 %%PORTDOCS%%%%DOCSDIR%%/html/examples
 %%PORTDOCS%%%%DOCSDIR%%/html/index.html
 %%PORTDOCS%%%%DOCSDIR%%/html/linux-install.html
+%%PORTDOCS%%%%DOCSDIR%%/html/logo.gri
 %%PORTDOCS%%%%DOCSDIR%%/html/logo.html
 %%PORTDOCS%%%%DOCSDIR%%/html/logo.png
 %%PORTDOCS%%%%DOCSDIR%%/html/mac-install.html
@@ -266,14 +272,11 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/tst_suite/tst_rpn.html
 %%PORTDOCS%%%%DOCSDIR%%/html/tst_suite/tst_var_syn.html
 %%PORTDOCS%%%%DOCSDIR%%/html/uncompiled-unix.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/resources
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/screenshots
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/tst_suite
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%PORTDOCS%%%%DOCSDIR%%/license.txt
+%%PORTDOCS%%%%DOCSDIR%%/refcard.ps
+share/emacs/site-lisp/gri-mode.el
 %%PORTDOCS%%%%EXAMPLESDIR%%/FEM.gri
 %%PORTDOCS%%%%EXAMPLESDIR%%/FEM.pl
-%%PORTDOCS%%%%EXAMPLESDIR%%/FEM.ps
 %%PORTDOCS%%%%EXAMPLESDIR%%/example1.dat
 %%PORTDOCS%%%%EXAMPLESDIR%%/example1.gri
 %%PORTDOCS%%%%EXAMPLESDIR%%/example1.ps
@@ -302,8 +305,6 @@
 %%PORTDOCS%%%%EXAMPLESDIR%%/example5.ps
 %%PORTDOCS%%%%EXAMPLESDIR%%/example6.gri
 %%PORTDOCS%%%%EXAMPLESDIR%%/example6.ps
-%%PORTDOCS%%%%EXAMPLESDIR%%/example6color.gri
-%%PORTDOCS%%%%EXAMPLESDIR%%/example6color.ps
 %%PORTDOCS%%%%EXAMPLESDIR%%/example6histogram.gri
 %%PORTDOCS%%%%EXAMPLESDIR%%/example6histogram.ps
 %%PORTDOCS%%%%EXAMPLESDIR%%/example6image.dat
@@ -326,7 +327,18 @@
 %%PORTDOCS%%%%EXAMPLESDIR%%/example9a.dat
 %%PORTDOCS%%%%EXAMPLESDIR%%/example9b.dat
 %%PORTDOCS%%%%EXAMPLESDIR%%/logo.gri
-%%PORTDOCS%%%%EXAMPLESDIR%%/logo.ps
 %%PORTDOCS%%%%EXAMPLESDIR%%/model.elements
 %%PORTDOCS%%%%EXAMPLESDIR%%/model.nodes
+%%DATADIR%%/gri.cmd
+%%DATADIR%%/logo.dat
+%%DATADIR%%/startup.msg
+@dirrm %%DATADIR%%
 %%PORTDOCS%%@dirrm %%EXAMPLESDIR%%
+@dirrm share/emacs/site-lisp
+@dirrm share/emacs
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/tst_suite
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/screenshots
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/resources
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+
Comment 5 Renato Botelho freebsd_committer 2006-02-01 16:33:05 UTC
State Changed
From-To: feedback->open

Feedback recieved
Comment 6 Renato Botelho freebsd_committer 2006-02-01 16:33:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 7 Renato Botelho freebsd_committer 2006-02-02 09:39:15 UTC
Responsible Changed
From-To: garga->freebsd-ports-bugs

Release
Comment 8 Thierry Thomas freebsd_committer 2006-02-12 20:06:11 UTC
State Changed
From-To: open->feedback


Hello, 

The included patch did not apply cleanly; I have tried to restore it 
manually. Could you please review my following patch? 

Remarks: 

- I have assigned maintainership to you, as you offered; 

- I have switched from print/dvips, which is interactive, to 
print/dvipsk-tetex, which is packageable. 

--- gri.diff begins here --- 
diff -urN math/gri.orig/Makefile math/gri/Makefile 
--- math/gri.orig/Makefile	Fri Feb  3 07:48:52 2006 
+++ math/gri/Makefile	Sun Feb 12 18:09:49 2006 
@@ -6,47 +6,45 @@ 
# 

PORTNAME=	gri 
-PORTVERSION=	2.12.1 
+PORTVERSION=	2.12.10 
CATEGORIES=	math 
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE} 
MASTER_SITE_SUBDIR=	${PORTNAME} 
-DISTNAME=	gri-${PORTVERSION}-arch-indep 

-MAINTAINER=	ports@FreeBSD.org 
+MAINTAINER=	christopher.illies@ki.se 
COMMENT=	An extensible plotting language for producing scientific graphs 

LIB_DEPENDS=	netcdf.1:${PORTSDIR}/science/netcdf 
-BUILD_DEPENDS=	gawk:${PORTSDIR}/lang/gawk 

-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION} 
-USE_PERL5_BUILD=	yes 
-USE_REINPLACE=	yes 
-GNU_CONFIGURE=	YES 
-PLIST_SUB+=	PORTVERSION=${PORTVERSION} 
- 
-.if defined(NOPORTDOCS) 
-ALL_TARGET=	gri 
-INSTALL_TARGET=	install-bin 
+.if !defined(NOPORTDOCS) 
+BUILD_DEPENDS+=	convert:${PORTSDIR}/graphics/ImageMagick	 
+		dvips:${PORTSDIR}/print/dvipsk-tetex 
.endif 

+GNU_CONFIGURE=	yes 
+CONFIGURE_ARGS=	--enable-FreeBSD 
+CONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL} 
+USE_GMAKE=	yes 
+REINPLACE_ARGS=	-Ei.bak 
+MAKE_ENV+=	MAKEINFOFLAGS=--no-split 
+ 
MAN1=	gri.1 gri_merge.1 gri_unpage.1 
.if !defined(NOPORTDOCS) 
INFO=		gri 
.endif 

-post-extract: 
-	@${RM} -f ${WRKSRC}/doc/*.info* ${WRKSRC}/doc/info 
-	@${MV} -f ${WRKSRC}/doc/gri-manpage.1 ${WRKSRC}/doc/gri.1 
- 
post-patch: 
-	@${REINPLACE_CMD} -e "s/makeinfo/makeinfo --no-split/" ${WRKSRC}/doc/Makefile 
+.if defined(NOPORTDOCS) 
+	${REINPLACE_CMD} -e '/^(DIST_)?SUBDIRS/s/doc//' ${WRKSRC}/Makefile.in 
+.endif 

post-install: 
-.for file in ${MAN1} 
-	${INSTALL_MAN} ${WRKSRC}/doc/${file} ${MANPREFIX}/man/man1 
-.endfor 
.if !defined(NOPORTDOCS) 
-	@${INSTALL_DATA} ${WRKSRC}/doc/gri.info ${PREFIX}/info 
+	${INSTALL_MAN} ${WRKSRC}/doc/gri-manpage.1 ${MANPREFIX}/man/man1/gri.1 
+	${INSTALL_MAN} ${WRKSRC}/doc/gri_merge.1-skel ${MANPREFIX}/man/man1/gri_merge.1 
+	${INSTALL_MAN} ${WRKSRC}/doc/gri_unpage.1-skel ${MANPREFIX}/man/man1/gri_unpage.1 
+	${INSTALL_DATA} ${WRKSRC}/doc/gri.info* ${PREFIX}/info 
+	${INSTALL_DATA} ${WRKSRC}/doc/gri.info ${PREFIX}/info 
.endif 

.include <bsd.port.mk> 
diff -urN math/gri.orig/distinfo math/gri/distinfo 
--- math/gri.orig/distinfo	Sat Nov 26 14:08:42 2005 
+++ math/gri/distinfo	Sat Feb 11 23:03:13 2006 
@@ -1,3 +1,4 @@ 
-MD5 (gri-2.12.1-arch-indep.tar.gz) = b66167ac59a5841dec52453c1f5b8c84 
-SHA256 (gri-2.12.1-arch-indep.tar.gz) = 0d8fd9018b68bc496b704d831a54a96d9e90461941c54d63b3e31956e6699618 
+MD5 (gri-2.12.10.tar.gz) = e76c24aa55958cafbcf333388c6f0dd7 
+SHA256 (gri-2.12.10.tar.gz) = c7b92156f1a2dab54b755c60cbb029054a06fd25c3abcd61d6fe86c09399c886 
+SIZE (gri-2.12.10.tar.gz) = 1659103 
SIZE (gri-2.12.1-arch-indep.tar.gz) = 2461656 
diff -urN math/gri.orig/files/patch-aa math/gri/files/patch-aa 
--- math/gri.orig/files/patch-aa	Fri Jan  3 18:57:17 2003 
+++ math/gri/files/patch-aa	Thu Jan  1 01:00:00 1970 
@@ -1,24 +0,0 @@ 
---- Makefile.in.orig	Thu Sep 26 01:01:17 2002 
-+++ Makefile.in	Sat Jan  4 01:34:54 2003 
-@@ -118,17 +118,16 @@ 
-  
- install-bin: 
- 	cat startup.msg | sed -e s,VSN,${VERSION}, -e s,PREFIX,$(prefix), > tmp 
--	$(INSTALL_PROGRAM) -d $(libdir) 
-+	-@mkdir -p $(libdir) 
- 	$(INSTALL_DATA) tmp $(libdir)/startup.msg 
- 	rm -f tmp 
- 	$(INSTALL_DATA)         gri.cmd         $(libdir)/gri.cmd 
- 	$(INSTALL_DATA)         logo.dat        $(libdir)/logo.dat 
--	$(INSTALL_DATA)         license.txt     $(libdir)/license.txt 
--	$(INSTALL_PROGRAM) -d                   $(prefix)/bin 
-+	-@mkdir -p $(prefix)/bin 
- 	$(INSTALL_PROGRAM)      gri             $(prefix)/bin/gri-$(VERSION) 
- 	(cd $(prefix)/bin/ ; rm -f gri ; ln -sf gri-$(VERSION) gri) 
--	$(INSTALL_PROGRAM)      gri_merge       $(prefix)/bin/gri_merge 
--	$(INSTALL_PROGRAM)      gri_unpage      $(prefix)/bin/gri_unpage 
-+	$(BSD_INSTALL_SCRIPT)      gri_merge       $(prefix)/bin/gri_merge 
-+	$(BSD_INSTALL_SCRIPT)      gri_unpage      $(prefix)/bin/gri_unpage 
-  
- debian-lib = $(debian)/usr/share/gri/$(VERSION) 
- install_linux_debian: gri 
diff -urN math/gri.orig/files/patch-ab math/gri/files/patch-ab 
--- math/gri.orig/files/patch-ab	Fri Jan  3 18:57:17 2003 
+++ math/gri/files/patch-ab	Thu Jan  1 01:00:00 1970 
@@ -1,21 +0,0 @@ 
---- doc/Makefile.orig	Fri Jan  3 22:45:06 2003 
-+++ doc/Makefile	Fri Jan  3 22:46:28 2003 
-@@ -1,8 +1,8 @@ 
- # Makefile for Gri documentation files. 
-  
--            DOC_DIR = $(prefix)/share/gri/doc 
-+            DOC_DIR = $(prefix)/share/doc/gri 
-            HTML_DIR = $(DOC_DIR)/html 
--       EXAMPLES_DIR = $(DOC_DIR)/examples 
-+       EXAMPLES_DIR = $(prefix)/share/examples/gri 
-                  RM = rm -f 
-             REFCARD = refcard 
-         CMD_REFCARD = cmdrefcard 
-@@ -17,7 +17,6 @@ 
- 	make html 
-  
- install: 
--	make info-install 
- 	make html-install 
-  
- read: 
diff -urN math/gri.orig/files/patch-ac math/gri/files/patch-ac 
--- math/gri.orig/files/patch-ac	Fri Jan  3 18:57:17 2003 
+++ math/gri/files/patch-ac	Thu Jan  1 01:00:00 1970 
@@ -1,20 +0,0 @@ 
---- gr.hh.orig	Sun Jun  2 02:37:59 2002 
-+++ gr.hh	Fri Jan  3 21:12:13 2003 
-@@ -28,7 +28,7 @@ 
- #if STDC_HEADERS 
- #include        <stdlib.h> 
- #else 
--#ifndef MSDOS 
-+#if !defined(MSDOS) && !defined(__FreeBSD__) 
- #include        <malloc.h> 
- #endif				// not MSDOS 
- #endif				// Doesn't have stdlib 
-@@ -345,7 +345,7 @@ 
- #endif 
-  
- // Time type (time_t, int, or long) varies per machine (ug). 
--#if defined(VMS) || defined(MSDOS) || defined(IS_DEC_ALPHA) || defined(AIX) 
-+#if defined(VMS) || defined(MSDOS) || defined(IS_DEC_ALPHA) || defined(AIX) || defined(__FreeBSD__) 
- #define SECOND_TYPE time_t 
- #else 
- #if defined(__DECCXX) 
diff -urN math/gri.orig/pkg-plist math/gri/pkg-plist 
--- math/gri.orig/pkg-plist	Wed Dec  7 19:22:01 2005 
+++ math/gri/pkg-plist	Sun Feb 12 18:25:38 2006 
@@ -1,12 +1,7 @@ 
bin/gri 
bin/gri_merge 
bin/gri_unpage 
-bin/gri-%%PORTVERSION%% 
-%%DATADIR%%/%%PORTVERSION%%/startup.msg 
-%%DATADIR%%/%%PORTVERSION%%/gri.cmd 
-%%DATADIR%%/%%PORTVERSION%%/logo.dat 
-@dirrm %%DATADIR%%/%%PORTVERSION%% 
-@dirrm %%DATADIR%% 
+%%PORTDOCS%%%%DOCSDIR%%/cmdrefcard.ps 
%%PORTDOCS%%%%DOCSDIR%%/html/AboutGriMode.html 
%%PORTDOCS%%%%DOCSDIR%%/html/Acknowledgments.html 
%%PORTDOCS%%%%DOCSDIR%%/html/AdjustingCharacterPosition.html 
@@ -59,6 +54,7 @@ 
%%PORTDOCS%%%%DOCSDIR%%/html/Extras.html 
%%PORTDOCS%%%%DOCSDIR%%/html/FAQ.html 
%%PORTDOCS%%%%DOCSDIR%%/html/FEM-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/FEM.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/FEM.html 
%%PORTDOCS%%%%DOCSDIR%%/html/FEM.png 
%%PORTDOCS%%%%DOCSDIR%%/html/FancyPlot.html 
@@ -188,56 +184,69 @@ 
%%PORTDOCS%%%%DOCSDIR%%/html/Write.html 
%%PORTDOCS%%%%DOCSDIR%%/html/X-Y.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example1-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example1.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example1.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example1.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example10-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example10.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example10.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example10.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example10color-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example10color.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example10color.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example10color.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example11-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example11.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example11.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example11.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example12-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example12.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example12.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example12.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example13-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example13.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example13.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example13.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example2-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example2.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example2.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example2.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example3-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example3.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example3.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example3.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example4-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example4.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example4.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example4.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example5-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example5.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example5.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example5.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example6-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example6.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example6.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example6.png 
-%%PORTDOCS%%%%DOCSDIR%%/html/example6color-tiny.png 
-%%PORTDOCS%%%%DOCSDIR%%/html/example6color.html 
-%%PORTDOCS%%%%DOCSDIR%%/html/example6color.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example6histogram-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example6histogram.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example6histogram.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example6histogram.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example7-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example7.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example7.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example7.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example8-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example8.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example8.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example8.png 
%%PORTDOCS%%%%DOCSDIR%%/html/example9-tiny.png 
+%%PORTDOCS%%%%DOCSDIR%%/html/example9.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/example9.html 
%%PORTDOCS%%%%DOCSDIR%%/html/example9.png 
%%PORTDOCS%%%%DOCSDIR%%/html/examples 
%%PORTDOCS%%%%DOCSDIR%%/html/index.html 
%%PORTDOCS%%%%DOCSDIR%%/html/linux-install.html 
+%%PORTDOCS%%%%DOCSDIR%%/html/logo.gri 
%%PORTDOCS%%%%DOCSDIR%%/html/logo.html 
%%PORTDOCS%%%%DOCSDIR%%/html/logo.png 
%%PORTDOCS%%%%DOCSDIR%%/html/mac-install.html 
@@ -263,14 +272,11 @@ 
%%PORTDOCS%%%%DOCSDIR%%/html/tst_suite/tst_rpn.html 
%%PORTDOCS%%%%DOCSDIR%%/html/tst_suite/tst_var_syn.html 
%%PORTDOCS%%%%DOCSDIR%%/html/uncompiled-unix.html 
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/resources 
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/screenshots 
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/tst_suite 
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html 
-%%PORTDOCS%%@dirrm %%DOCSDIR%% 
+%%PORTDOCS%%%%DOCSDIR%%/license.txt 
+%%PORTDOCS%%%%DOCSDIR%%/refcard.ps 
+share/emacs/site-lisp/gri-mode.el 
%%PORTDOCS%%%%EXAMPLESDIR%%/FEM.gri 
%%PORTDOCS%%%%EXAMPLESDIR%%/FEM.pl 
-%%PORTDOCS%%%%EXAMPLESDIR%%/FEM.ps 
%%PORTDOCS%%%%EXAMPLESDIR%%/example1.dat 
%%PORTDOCS%%%%EXAMPLESDIR%%/example1.gri 
%%PORTDOCS%%%%EXAMPLESDIR%%/example1.ps 
@@ -299,8 +305,6 @@ 
%%PORTDOCS%%%%EXAMPLESDIR%%/example5.ps 
%%PORTDOCS%%%%EXAMPLESDIR%%/example6.gri 
%%PORTDOCS%%%%EXAMPLESDIR%%/example6.ps 
-%%PORTDOCS%%%%EXAMPLESDIR%%/example6color.gri 
-%%PORTDOCS%%%%EXAMPLESDIR%%/example6color.ps 
%%PORTDOCS%%%%EXAMPLESDIR%%/example6histogram.gri 
%%PORTDOCS%%%%EXAMPLESDIR%%/example6histogram.ps 
%%PORTDOCS%%%%EXAMPLESDIR%%/example6image.dat 
@@ -323,7 +327,15 @@ 
%%PORTDOCS%%%%EXAMPLESDIR%%/example9a.dat 
%%PORTDOCS%%%%EXAMPLESDIR%%/example9b.dat 
%%PORTDOCS%%%%EXAMPLESDIR%%/logo.gri 
-%%PORTDOCS%%%%EXAMPLESDIR%%/logo.ps 
%%PORTDOCS%%%%EXAMPLESDIR%%/model.elements 
%%PORTDOCS%%%%EXAMPLESDIR%%/model.nodes 
+%%DATADIR%%/gri.cmd 
+%%DATADIR%%/logo.dat 
+%%DATADIR%%/startup.msg 
+@dirrm %%DATADIR%% 
%%PORTDOCS%%@dirrm %%EXAMPLESDIR%% 
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/tst_suite 
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/screenshots 
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/resources 
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html 
+%%PORTDOCS%%@dirrm %%DOCSDIR%% 
--- gri.diff ends here ---
Comment 9 Thierry Thomas freebsd_committer 2006-02-12 20:14:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 10 Thierry Thomas freebsd_committer 2006-02-13 22:14:02 UTC
State Changed
From-To: feedback->closed


Committed, thanks!